package com.example.survey.dto.project;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author Pope
 */
@Data
public class CreateProjectDTO {

    /**
     * 项目名
     */
    private String name;

    /**
     * 描述信息
     */
    private String detail;

    /**
     * 元数据名字
     */
    private String metaDataName;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 负责人电话号码
     */
    private String userPhone;

}
