package com.example.survey.dto.respondent;

import com.example.survey.entity.inner.AdministrativeArea;
import lombok.*;

/**
 * @author Pope
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class ModifyRespondentDTO {

    /**
     * 身份证号
     */
    private String idNumber;

    /**
     * 电话
     */
    private String phone;

    /**
     * 姓名
     */
    private String name;

    /**
     * 备注
     */
    private String msg;

    /**
     * 性别
     */
    private String gender;

    /**
     * 行政区划
     */
    private AdministrativeArea administrativeArea;

    /**
     * 项目名
     */
    private String projectName;


}
