package com.example.survey.entity;

import com.example.survey.entity.inner.FieldToName;
import lombok.*;
import org.bson.types.ObjectId;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;
import java.util.Map;

/**
 * @author Pope
 */
@Data
@Document(collection = "metaData")
public class MetaData {
    private ObjectId id;
    private String name;
    private Map<String,Object> form;
    private List<FieldToName> fieldToNameList;
    private String wordTemplate;
    private Map<String, Object> config;
}
