package com.example.survey.vo;

import com.example.survey.entity.MetaData;
import com.example.survey.entity.Respondent;
import lombok.Data;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.DBRef;

import java.util.Date;
import java.util.Set;

/**
 * @author Pope
 */
@Data
public class ProjectVO {
    /**
     * 项目名
     */
    private String name;

    /**
     * 描述信息
     */
    private String detail;

    /**
     * 元数据
     */
    private String metaDataName;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 负责人姓名
     */
    private String username;

    /**
     * 状态
     */
    private String state;
}
